.BG
.FN parcoord
.TL
Parallel Coordinates Plot
.DN
Parallel coordinates plot
.CS
parcoord(x, col = 1, lty = 1, ...)
.RA
.AG x
a matrix or data frame who columns represent variables.
.OA
.AG col
A vector of colours, recycled as necessary for each observation.
.AG lty
A vector of line types, recycled as necessary for each observation.
.AG ...
Further graphics parameters which are passed to `matplot'.
.RT
None.
.SE
a parallel coordinates plots is drawn.
.SH REFERENCES
Wegman, E. J. (1990) Hyperdimensional data analysis using parallel
coordinates. 
.ul
Journal of the American Statistical Association,
\fB85\fP, 664-675.
.EX
# The function is currently defined as
function(x, col = 1, lty = 1, ...)
{
    x <- apply(x, 2, function(x) (x - min(x))/(max(x) - min(x)))
    matplot(1:ncol(x), t(x), type = "l", col = col, lty = lty,
        xlab = "", ylab = "", axes = F, ...)
    axis(1, at = 1:ncol(x), labels = dimnames(x)[[2]])
    for(i in 1:ncol(x))
	lines(c(i, i), c(0, 1), lty = 2)
    invisible()
}
.KW hplot
.WR
