.\" file MASS/summary.rlm.d
.\" copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN summary.rlm
.TL
Summary Method for Robust Linear Models
.DN
`summary' method for objects of class `"rlm"'
.CS
summary.rlm(object, method=c("XtX", "XtWX"), correlation=T, ...)
.RA
.AG object
the fitted model.
This is assumed to be the result of some fit that produces
an object inheriting from the class `rlm', in the sense that
the components returned by the `rlm' function will be available.
.OA
.AG method
Should the weighted (by the IWLS weights) or unweighted cross-products 
matrix be used?
.AG correlation
logical. Should correlations be computed (and printed)?
.AG ...
arguments passed to or from other methods.
.RT
If printing takes place, only a null value is returned.
Otherwise, a list is returned with the following components.
Printing always takes place if this function is invoked automatically
as a method for the `summary' function.
.RC correlation
The computed correlation coefficient matrix for the coefficients in the model.
.RC cov.unscaled
The unscaled covariance matrix; i.e, a matrix such that multiplying it by
an estimate of the error variance produces an estimated covariance matrix
for the coefficients.
.RC sigma
The scale estimate.
.RC df
The number of degrees of freedom for the model and for residuals.
.RC coefficients
A matrix with three columns, containing the coefficients, their standard errors
and the corresponding t statistic.
.RC terms
The terms object used in fitting this model.
.DT
.ME summary rlm
.SA
`summary'
.EX
> summary(rlm(calls ~ year, data=phones, maxit=50))

Call: rlm(formula = calls ~ year, maxit = 50)
Residuals:
    Min     1Q Median    3Q   Max 
 -18.38 -5.976 -1.687 26.46 173.7

Coefficients:
                Value Std. Error   t value 
(Intercept) -102.8123   26.6804    -3.8535
       year    2.0449    0.4311     4.7435

Residual standard error: 9.078 on 22 degrees of freedom
Multiple R-Squared: NA 

Correlation of Coefficients:
     (Intercept) 
year -0.9937    
.KW robust
.WR
