.\" file class/knn.cv.d copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN knn.cv
.TL
k-Nearest Neighbour Cross-Validatory Classification
.DN
k-nearest neighbour cross-validatory classification from training set.
.CS
knn.cv(train, cl, k=1, l=0, prob=F, use.all=T)
.RA
.AG train
matrix or data frame of training set cases.
.AG cl
factor of true classifications of training set
.OA
.AG k
number of neighbours considered.
.AG l
minimum vote for definite decision, otherwise `doubt'. (More
precisely, less than `k-l' dissenting votes are allowed, even if `k'
is increased by ties.)
.AG prob
If this is true, the proportion of the votes for the winning class
are returned as attribute `prob'.
.AG use.all
controls handling of ties. If true, all distances equal to the `k'th
largest are included. If false, a random selection of distances
equal to the `k'th is chosen to use exactly `k' neighbours.
.DT
This uses leave-one-out cross validation.
For each row of the training set `train', the `k' nearest 
(in Euclidean distance) other
training set vectors are found, and the classification is decided by
majority vote, with ties broken at random. If there are ties for the
`k'th nearest vector, all candidates are included in the vote.
.RT
factor of classifications of training set. `doubt' will be returned as `NA'.
.SA
`knn'
.EX
train <- rbind(iris[,,1],iris[,,2],iris[,,3])
cl <- factor(c(rep("s",50),rep("c",50), rep("v",50)))
knn.cv(train, cl, k=3, prob=T)
attributes(.Last.value)
.KW classif
.WR
