.\" file spatial/Strauss.d copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN Strauss
.TL
Simulates Strauss Spatial Point Process
.DN
Simulates Strauss spatial point process.
.CS
Strauss(n, c=0, r)
.RA
.AG n
number of points
.AG c
parameter `c' in [0, 1]. `c' = 0 corresponds to complete inhibition at
distances up to `r'.
.AG r
inhibition distance
.RT
list of vectors of x and y coordinates
.SE
uses the random number generator
.DT
Uses spatial birth-and-death process for 4`n' steps, or for 40`n' steps
starting from a binomial pattern on the first call from an other function.
Uses the region set by `ppinit' or `ppregion'.
.SA
`Psim', `SSI'
.EX
towns <- ppinit("towns.dat")
par(pty="s")
plot(Kfn(towns, 10), type="b", xlab="distance", ylab="L(t)")
lines(Kaver(10, 25, Strauss(69,0.5,3.5)))
.KW spatial
.WR
